import greenfoot.*;  
import java.util.ArrayList;
import java.awt.Color;



public class Worlds extends World 
{
private static final GreenfootImage bgImage = new GreenfootImage("bluerock.jpg");
private static final int scrollSpeed = 3;
private int levelCount;

    private GreenfootImage scrollingImage;
    private int scrollPosition = 0;

    public Worlds()
    {
        super(800, 400, 1);
        

    
        GreenfootImage background = new GreenfootImage(800, 400);
        scrollingImage = getScrollingImage(800, 400);
        background.drawImage(scrollingImage, 0, 0);
        setBackground(background);
       
        destroyAllObjects();
        TitlePage titlepage = new TitlePage();
        addObject(titlepage, 400, 200 );
        levelCount = 1;


        
        
    }
    
      public void act()
      {
          scrollSpeed();
          whatchamacallit();
          
          
          
          
        }
        
        public void whatchamacallit()
        {
            if (levelCount == 4)
            {
                showMessage();
            }
        }
        
        public void showMessage()
    {
        GreenfootImage bg = getBackground();
        bg.setColor(Color.WHITE);
        bg.drawString("Stay in town.", 175, 130);
        bg.drawString("Move to the next town.", 550, 130);
    }
        

        
      
    

    public void scrollSpeed()
    {
        if(scrollSpeed > 0 && scrollPosition <= 0) {
            scrollPosition = getWidth();
        }
        if(scrollSpeed < 0 && scrollPosition >= getWidth()) {
            scrollPosition = 0;
        }
        scrollPosition -= scrollSpeed;
        paint(scrollPosition);
        
        
    }
        public void godMode()
        {
            
        ArrayList a = (ArrayList)getObjects(Ground.class);
        if (a.size() < 3 && levelCount == 1)
        {

        loadOne2();
        levelCount ++;
        }
    }
        
         public void godMode1()
         {
        ArrayList a = (ArrayList)getObjects(Ground.class);
         if (a.size() < 2 && levelCount == 2)
        {
            loadOne3();
            levelCount ++;
            
        }
        
    }
    
             public void godMode2()
         {
        ArrayList a = (ArrayList)getObjects(Ground.class);
         if (a.size() < 2 && levelCount == 6)
        {
            loadTwo2();
            levelCount ++;
        }
    }
        
        public void godMode3()
         {
        ArrayList a = (ArrayList)getObjects(Ground.class);
         if (a.size() < 3 && levelCount == 7)
        {
            loadTwo3();
            levelCount ++;
        }
    }
        

  

    private void paint(int position)
    {
        GreenfootImage bg = getBackground();
        bg.drawImage(scrollingImage, position, 0);
        bg.drawImage(scrollingImage, position - scrollingImage.getWidth(), 0);
    }
 
   
    private GreenfootImage getScrollingImage(int width, int height)
    {
        GreenfootImage image = new GreenfootImage(width, height);
        for(int x = 0; x < width; x += bgImage.getWidth()) {
            for(int y = 0; y < height; y += bgImage.getHeight()) {
                image.drawImage(bgImage, x, y);
            }
        }
        return image;
    }
    
    public void lose()
    {
        destroyAllObjects();
        addObject (new P1lose(), 400, 200);
        levelCount = 1;
    }
    
    public void destroyAllObjects()
    {
        removeObjects(getObjects(null));    
    }
    
    public void loadOne()
    {
        destroyAllObjects();
        addObject(new Jason(), 230, 366);
        addObject(new GameGod(), 400, 0);
        
        addObject(new Ground(),236, 386);
        addObject(new Ground(),299, 231);
        addObject(new Ground(),489, 116);
        addObject(new Ground(),658, 228);
        addObject(new Ground(),512, 331);
        
        addObject(new Recyclables(),236, 366);
        addObject(new Recyclables(),299, 211);
        addObject(new Recyclables(),489, 96);
        addObject(new Recyclables(),658, 208);
        addObject(new Recyclables(),512, 311);
        
        addObject(new Border(),0, 20);
        addObject(new Border(),0, 40);
        addObject(new Border(),0, 60);
        addObject(new Border(),0, 80);
        addObject(new Border(),0, 100);
        addObject(new Border(),0, 120);
        addObject(new Border(),0, 140);
        addObject(new Border(),0, 160);
        addObject(new Border(),0, 180);
        addObject(new Border(),0, 200);
        addObject(new Border(),0, 220);
        addObject(new Border(),0, 240);
        addObject(new Border(),0, 260);
        addObject(new Border(),0, 280);
        addObject(new Border(),0, 300);
        addObject(new Border(),0, 320);
        addObject(new Border(),0, 340);
        addObject(new Border(),0, 360);
        addObject(new Border(),0, 380);
        addObject(new Border(),0, 400);
        
        
        

        
        
    
        
    }
    
      public void createTitleScene()
    {
        destroyAllObjects();
        TitlePage titlepage = new TitlePage();
        addObject(titlepage, 400 , 200 );
        
    }
    
    
     public void createInstructionsScene()
    {
        destroyAllObjects();
        Instructions instructions = new Instructions();
        addObject(instructions, 400 , 200 );
    }
    
         public void createCreditsScene()
    {
        destroyAllObjects();
        Credits credits = new Credits();
        addObject(credits, 400 , 200 );
    }
    
    public void createPlayer1Scene()
    {
        destroyAllObjects();
       
        addObject(new P1win(), 400, 200);
    }
    
    public void loadOne2()
    {
        addObject(new Ground(),236, 386);
        addObject(new Ground(),550, 225);
        addObject(new Ground(),489, 116);
        addObject(new Ground(),678, 375);
        addObject(new Ground(),512, 331);
        
        addObject(new Recyclables(),236, 366);
        
        addObject(new Recyclables(),489, 96);
        
        addObject(new Recyclables(),512, 311);
    }
    
    public void loadOne3()
    {
         addObject(new nonMovingGround(),300, 375);
        addObject(new nonMovingGround(),488, 307);
        addObject(new nonMovingGround(),669, 251);
        addObject(new nonMovingGround(),573, 158);
        addObject(new Selection1(), 744, 191);
    
        
    }
    
    
    public void cutScene1()
    {
       destroyAllObjects();
       levelCount ++;
        addObject(new Jason(), 400, 200);
        addObject(new cutSceneGround(), 400, 220);
        addObject(new BonusR(), 200, 180);
        addObject(new Level2(), 600, 180);
        
    }
    
    public void createbonusR()
    {
         destroyAllObjects();
         levelCount ++;
        addObject(new PaperBalls(), (Greenfoot.getRandomNumber(750)), 0);
        addObject(new PaperBalls(), (Greenfoot.getRandomNumber(750)), 0);
        addObject(new PaperBalls(), (Greenfoot.getRandomNumber(750)), 0);
        addObject(new PaperBalls(), (Greenfoot.getRandomNumber(750)), 0);
        addObject(new PaperBalls(), (Greenfoot.getRandomNumber(750)), 0);
        addObject(new cutSceneGround(), 400, 400);
        addObject(new Jason(), 400, 360);
        addObject(new Level2(),25, 339);
       
    }
    
    
    
     public void loadTwo()
    {
        destroyAllObjects();
        addObject(new Jason(), 187, 77);
        levelCount ++;
        addObject(new GameGod(), 400, 0);
        
        addObject(new Ground(),187, 97);
        addObject(new Ground(),708, 335);
        addObject(new Ground(),481, 387);
        addObject(new Ground(),566, 247);
        addObject(new Ground(),345, 162);
        
        addObject(new Recyclables(),187, 77);
        addObject(new Recyclables(),708, 315);
        addObject(new Recyclables(),481, 367);
        addObject(new Recyclables(),566, 227);
        addObject(new Recyclables(),345, 142);
        
        addObject(new Border(),0, 20);
        addObject(new Border(),0, 40);
        addObject(new Border(),0, 60);
        addObject(new Border(),0, 80);
        addObject(new Border(),0, 100);
        addObject(new Border(),0, 120);
        addObject(new Border(),0, 140);
        addObject(new Border(),0, 160);
        addObject(new Border(),0, 180);
        addObject(new Border(),0, 200);
        addObject(new Border(),0, 220);
        addObject(new Border(),0, 240);
        addObject(new Border(),0, 260);
        addObject(new Border(),0, 280);
        addObject(new Border(),0, 300);
        addObject(new Border(),0, 320);
        addObject(new Border(),0, 340);
        addObject(new Border(),0, 360);
        addObject(new Border(),0, 380);
        addObject(new Border(),0, 400);
    }
    
    
    
     public void loadTwo2()
    {
        addObject(new Ground(),319, 125);
        addObject(new Ground(),523, 226);
        addObject(new Ground(),652, 109);
        addObject(new Ground(),309, 278);
        addObject(new Ground(),596, 315);
        
        addObject(new Recyclables(),652, 89);
        
        addObject(new Recyclables(),309, 258);
        
        addObject(new Recyclables(),596, 295);
    }
    
    public void loadTwo3()
    {
         addObject(new nonMovingGround(),217, 213);
        addObject(new nonMovingGround(),421, 257);
        addObject(new nonMovingGround(),551, 150);
        addObject(new nonMovingGround(),702, 104);
        addObject(new Win(), 775, 49);
    
        
    }
    

}
